3.5.0

Caution

As MKE versions 3.5.0 - 3.5.5 run etcd 3.4.16, upgrading to any of these MKE versions from MKE 3.4.12 or later (which run etcd 3.5.5) will fail. As such, it is necessary to upgrade instead to MKE 3.5.6 or later.

The etcd component, by design, will not accept a downgrade of itself.

Release date

Name

Highlights

2021-11-23

MKE 3.5.0

Initial MKE 3.5.0 release introducing the following key features:

  • OpenID Connect (OIDC)

  • Swarm-only mode

  • OpsCare

  • NGINX Ingress Controller

  • Mutual Transport Layer Security (mTLS)

  • IPVS and eBPF networking options